01 February 2016

Discontinuation of Internet Explorer 10 support for SaxoTraderGO

Discontinuation of Internet Explorer 10 support for SaxoTraderGO

​​​​ Following Microsoft's end-of-support of Internet Explorer 10 from January 2016, we will discontinue support of SaxoTraderGO in IE 10 in the near future.

We recommend the use of Chrome or IE 11 for SaxoTraderGO on Windows PCs.

Operating Systems and Browsers supported by SaxoTraderGO will be:

Device type

Operating systems

Browsers

PC

Windows 7
Windows 8
Windows 10

IE11+
Firefox 25
Chrome
Edge

MAC

OSX 10.6+

Safari (newest)
Chrome (newest)

ChromeBook

Chrome OS version 44+

Chrome

Linux PC (Ubuntu)

Linux

Chromium
FireFox NOT supported

Tablet

iOS8+ (App)
iOS7(Web)
Android 4.1+
Windows 8/10*

Safari
Chrome
IE11

Smartphone

iPhone – iOS8 (App)
iPhone – iOS7 (web)
Android 4.1+
BlackBerry10
Windows 8/10*

Safari
Chrome
BB Browser
IE 11

* Support coming in 2016

Note that Private Browsing modes are not supported